# Type Alias OptsParams

type OptsParams = {
collapse_breakpoint_px?: number;
grouped?: string;
header_filters?: boolean;
header_filters_toggle?: boolean;
hover?: boolean;
noHeader?: boolean;
pagination?: {
current_page: number;
get_page_link: Function;
noMaxPage?: boolean;
pages: number;
};
responsiveCollapse?: boolean;
row_color_formula?: string;
tableClass?: string;
tableId?: string;
transpose?: boolean;
}

- Defined in table.ts:161

##### Index

### Properties

collapse_breakpoint_px?
grouped?
header_filters?
header_filters_toggle?
hover?
noHeader?
pagination?
responsiveCollapse?
row_color_formula?
tableClass?
tableId?
transpose?

## Properties

### `Optional` collapse_breakpoint_px

collapse_breakpoint_px?: number

- Defined in table.ts:177

### `Optional` grouped

grouped?: string

- Defined in table.ts:173

### `Optional` header_filters

header_filters?: boolean

- Defined in table.ts:174

### `Optional` header_filters_toggle

header_filters_toggle?: boolean

- Defined in table.ts:175

### `Optional` hover

hover?: boolean

- Defined in table.ts:169

### `Optional` noHeader

noHeader?: boolean

- Defined in table.ts:168

### `Optional` pagination

pagination?: {
current_page: number;
get_page_link: Function;
noMaxPage?: boolean;
pages: number;
}

- Defined in table.ts:162

### `Optional` responsiveCollapse

responsiveCollapse?: boolean

- Defined in table.ts:176

### `Optional` row_color_formula

row_color_formula?: string

- Defined in table.ts:178

### `Optional` tableClass

tableClass?: string

- Defined in table.ts:171

### `Optional` tableId

tableId?: string

- Defined in table.ts:172

### `Optional` transpose

transpose?: boolean

- Defined in table.ts:170